import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.*;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){

        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){

        return hamletData;
    }

    public static String findHamlet(String Sentence, String word){
        StringBuilder sb = new StringBuilder();
        String str = "";

        Pattern checkRegex = Pattern.compile(word);
        Matcher regexMatch = checkRegex.matcher(Sentence);
        if (regexMatch.find()){
            str = regexMatch.group();
        } else {
            return  null;
        }
        return str;
    }

    public static String findHoratio(String Sentence, String Word) {
            return findHamlet(Sentence, Word);
    }

    public String changeToLeon(String str) {
        return null;
    }

    public String changeToTariq(String str) {
        return null;
    }
}
